## IdeSymbolNode IdeSymbolNode |

## Functions

IdeSymbolKind | ide_symbol_node_get_kind ()
IdeSymbolFlags | ide_symbol_node_get_flags ()
const gchar * | ide_symbol_node_get_name ()
gboolean | ide_symbol_node_get_use_markup ()
void | ide_symbol_node_get_location_async ()
IdeLocation * | ide_symbol_node_get_location_finish ()

## Properties

IdeSymbolFlags | flags | Read / Write
IdeSymbolKind | kind | Read / Write
gchar * | name | Read / Write
gboolean | use-markup | Read / Write

## Types and Values

#define | IDE_TYPE_SYMBOL_NODE
struct | IdeSymbolNodeClass
| IdeSymbolNode

## Object Hierarchy

        GObject
        ╰── IdeSymbolNode
            ╰── IdeLspSymbolNode

## Description

## Functions

### ide_symbol_node_get_kind ()

    IdeSymbolKind
    ide_symbol_node_get_kind (IdeSymbolNode *self);

### ide_symbol_node_get_flags ()

    IdeSymbolFlags
    ide_symbol_node_get_flags (IdeSymbolNode *self);

### ide_symbol_node_get_name ()

    const gchar *
    ide_symbol_node_get_name (IdeSymbolNode *self);

### ide_symbol_node_get_use_markup ()

    gboolean
    ide_symbol_node_get_use_markup (IdeSymbolNode *self);

### ide_symbol_node_get_location_async ()

    void
    ide_symbol_node_get_location_async (IdeSymbolNode *self,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

### ide_symbol_node_get_location_finish ()

    IdeLocation *
    ide_symbol_node_get_location_finish (IdeSymbolNode *self,
                                         GAsyncResult *result,
                                         GError **error);

Completes the request to gets the location for the symbol node.

#### Returns

An IdeLocation or `NULL`.

[transfer full][nullable]

Since: 3.32

## Types and Values

### IDE_TYPE_SYMBOL_NODE

    #define IDE_TYPE_SYMBOL_NODE (ide_symbol_node_get_type())

### struct IdeSymbolNodeClass

    struct IdeSymbolNodeClass {
      GObjectClass parent;

      void         (*get_location_async)  (IdeSymbolNode        *self,
                                           GCancellable         *cancellable,
                                           GAsyncReadyCallback   callback,
                                           gpointer              user_data);
      IdeLocation *(*get_location_finish) (IdeSymbolNode        *self,
                                           GAsyncResult         *result,
                                           GError             **error);
    };

### IdeSymbolNode

    typedef struct _IdeSymbolNode IdeSymbolNode;

## Property Details

### The `“flags”` property

      “flags”                    IdeSymbolFlags

Flags.

Owner: IdeSymbolNode

Flags: Read / Write

### The `“kind”` property

      “kind”                     IdeSymbolKind

Kind.

Owner: IdeSymbolNode

Flags: Read / Write

Default value: IDE_SYMBOL_KIND_NONE

### The `“name”` property

      “name”                     gchar *

Name.

Owner: IdeSymbolNode

Flags: Read / Write

Default value: NULL

### The `“use-markup”` property

      “use-markup”               gboolean

Use markup.

Owner: IdeSymbolNode

Flags: Read / Write

Default value: FALSE